## icp.pl: Copying Files to the Development Area

### Use

You always change source code files in the MaxDB_DEV development area, not in the MaxDB_ORG area (original files). Use the icp.pl Perl script to copy the source code files from the MaxDB_ORG area to the MaxDB_DEV development area During copying, icp.pl creates all necessary subdirectories in the development area.

### Prerequisites

You have initialized the development environment.

### Procedure

icp.pl [-o] <file1> [<file2>]

Parameters

Name | Description
<file1> | File which is to be copied to the development area. Do not specify the complete path, only the file name. The naming conventions for files ensure that the file name is unique.
<file2> | Name in which the file is to be stored in the development area
-o | Copies the file to the same directory in the top level of the search hierarchy

### Result

The module file can now be changed.

### Example

Copy the module file vak54:

icp.pl vak54

The icp.pl Perl script copies the vak54 file to the MaxDB_DEV development area and creates the necessary directories:

<myDevelopmentDirectory>\V75_00_12\MaxDB_DEV\sys\src\ak\vak54

See also:

Directory Structure of the Development Environment